POST api/News/GetCategoryNews

Request Information

URI Parameters

None.

Body Parameters

CategoryNewsModel
NameDescriptionTypeAdditional information
categoryId

integer

None.

page

integer

None.

accountId

integer

None.

isHome

boolean

None.

language

string

None.

Request Formats

application/json, text/json

Sample:
{
  "categoryId": 1,
  "page": 1,
  "accountId": 3,
  "isHome": true,
  "language": "sample string 2"
}

text/plain, application/octet-stream

Sample:
{"categoryId":1,"page":1,"accountId":3,"isHome":true,"language":"sample string 2"}

application/xml, text/xml

Sample:
<CategoryNewsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody">
  <accountId>3</accountId>
  <isHome>true</isHome>
  <language>sample string 2</language>
  <page>1</page>
  <categoryId>1</categoryId>
</CategoryNewsModel>

multipart/form-data, application/form-data

Sample:
<CategoryNewsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountId>3</accountId><isHome>true</isHome><language>sample string 2</language><page>1</page><categoryId>1</categoryId></CategoryNewsModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data

Sample:

Sample not available.